package com.cisdi.data.DHV.gateway.vo.dhv;


public enum AllowMethod {
//    tam1("SPM HD"),
//    tam2("HD ENV"),
//    tam3("振动低频"),
//    tam4("振动高频"),

    am1("冲击脉冲频谱"),
    am2("振动速度谱"),
    am3("冲击脉冲"),
    am4("振动速度"),
    am5("冲击脉冲谱"),
    am6("冲激脉冲频谱"),
    am7("振动速度普");

    private String method;

    AllowMethod(String method) {
        this.method = method;
    }

    private String getMethod(){
        return this.method;
    }

    public static boolean allowMethod(String am) {
        if (am == null) {
            return false;
        }
        AllowMethod[] allowMethods=AllowMethod.values();
        for (int i=0;i<allowMethods.length;i++) {
            if (am.contains(allowMethods[i].getMethod())){
                return true;
            }
        }
        return false;
    }
}
